Skip to content

Check subdomain availability

GET
/api/v1/projects/check-subdomain
curl --request GET \
--url 'https://api.deploybase.eu/api/v1/api/v1/projects/check-subdomain?subdomain=example' \
--header 'Authorization: <Authorization>'

Checks if a subdomain is available for use as a production URL

subdomain
required
string

Subdomain to check

OK

Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"data": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}

Bad Request

Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{
"code": "example",
"details": "example",
"error": "example",
"meta": {
"request_id": "example",
"timestamp": "example",
"trace_id": "example"
}
}